GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

GTPin: Defining the HW Profiling Scope

GTPin configuration options for limiting the profiling scope to specific hardware components, like Execution Units and HW threads

With GTPin, you can narrow profiling to a subset of the HW (slice, dual-sub-slice, sub-slice, specific Execution Unit (EU), or specific HW thread ID (TID)). It is done by using the configuration parameter: `--hw_profile_scope`. The values provided to this parameter are HEX bit masks.

Usage:
`--hw_profile_scope [Slice:bitmask][,DualSubSlice:bitmask][,SubSlice:bitmask][,EU:bitmask][,TID:bitmask]`

Note:
  - Using an asterisk (*) instead of a bitmask will return all available elements.
  - The HW scope elements can be provided in any order.
  - Only the HW scope elements to be profiled should be provided.
  - At least one element must be provided.

Usage example:
`--hw_profile_scope Slice:1,DualSubSlice:2,EU:8,TID:3`
The example profiles only slice 0, dual sub slice 1, EU 3, HW thread 0+1, and any sub slice.
`--hw_profile_scope TID:6`
The example profiles all slices, all dual sub slices, all sub slices, all EUs, and all HW thread IDs 1+2.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT